Subject: Re: [Sip] draft-ietf-sip-resource-priority-02 (template)

From: [email-masked]
Date: Mon, 16 Feb 2004 14:35:02 EST

In a message dated 2/15/2004 5:57:50 PM Eastern Standard Time, 
[email-masked] writes:

> (4) Current behavior for DSN, Q.735 specified as non-preemptive. DRSN 
> left as implementation-defined. Not sure what other behavior one can 
> specify for priorities. [Rohan]
> 

It is unclear what this note means, since Section 9.5 does not reflect what 
it says. The -02 draft (Section 9.5) shows "Preemption with rejection" for dsn 
and drsn and "Precedence" for q735. All three of these cases are services 
which are titled "Precedence and Preemption". In fact, q735 (and I.255.3 on which 
it is based) is the same as dsn/drsn, so there should be no difference.

It continues to be unclear what this item ("Preemption or precedence") on the 
template is intended to mean. There is no IANA function related to this type 
of information, and the contents of this part of the template have no effect 
on the operation of any device which uses the R-P header. They will do whatever 
they need to with it depending on the application. For the dsn application, 
this includes "preemption", "precedence", and probably other treatments that 
aren't included in either of those terms.  In fact, this item seems to be 
defined differently in Section 9.4 which says "there are many possible behaviors 
that cannot be exhaustively anticipated" and lists 3 "common" ones.

I would still like to see this item deleted from the template, since it can 
only lead to confusion.

If it not deleted, the item on the template should be titled "Behavior" (as 
in 9.4) and all three namespaces included in the document should indicate 
"Implementation-defined".

Mike

---

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 16 Feb 2004 14:46:39 -0500

The change note pre-dated my last-minute updates; pardon the rush.

My general notion is that IANA registrations should be as useful as 
possible to the implementor, not just bare-bones information needed to 
preserve uniqueness.

Changing to 'Behavior' is fine by me, with implementation-defined 
clearly being a viable option, as there are likely to be priority 
namespaces that simply don't spell out exactly what you're supposed to 
do, as long as priority X gets better treatment than Y, if prio(X) > 
prio(Y).

[email-masked] wrote:

> It is unclear what this note means, since Section 9.5 does not reflect 
> what it says. The -02 draft (Section 9.5) shows "Preemption with 
> rejection" for dsn and drsn and "Precedence" for q735. All three of 
> these cases are services which are titled "Precedence and Preemption". 
> In fact, q735 (and I.255.3 on which it is based) is the same as 
> dsn/drsn, so there should be no difference.
> 
> It continues to be unclear what this item ("Preemption or precedence") 
> on the template is intended to mean. There is no IANA function related 
> to this type of information, and the contents of this part of the 
> template have no effect on the operation of any device which uses the 
> R-P header. They will do whatever they need to with it depending on the 
> application. For the dsn application, this includes "preemption", 
> "precedence", and probably other treatments that aren't included in 
> either of those terms.  In fact, this item seems to be defined 
> differently in Section 9.4 which says "there are many possible behaviors 
> I would still like to see this item deleted from the template, since it 
> can only lead to confusion.
> 
> If it not deleted, the item on the template should be titled "Behavior" 
> (as in 9.4) and all three namespaces included in the document should 
> indicate "Implementation-defined".
> 
> Mike

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip